.TyphonCustom * {
font-size:.9rem;
}
.TyphonCustom hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}



.TyphonCustom abbr[title],
.TyphonCustom abbr[data-original-title] {
  text-decoration: underline;
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted;
  cursor: help;
  border-bottom: 0;
  -webkit-text-decoration-skip-ink: none;
  text-decoration-skip-ink: none;
}

.TyphonCustom address {
  margin-bottom: 1rem;
  font-style: normal;
  line-height: inherit;
}


.TyphonCustom dt {
  font-weight: 700;
}


.TyphonCustom small {
  font-size: 80%;
}

.TyphonCustom sub,
.TyphonCustom sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline;
}

.TyphonCustom sub {
  bottom: -.25em;
}

.TyphonCustom sup {
  top: -.5em;
}


.TyphonCustom pre,
.TyphonCustom code,
.TyphonCustom kbd,
.TyphonCustom samp {
  font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 1em;
}


.TyphonCustom figure {
  margin: 0 0 1rem;
}

.TyphonCustom img {
  vertical-align: middle;
  border-style: none;
}

.TyphonCustom svg {
  overflow: hidden;
  vertical-align: middle;
}

.TyphonCustom table {
  border-collapse: collapse;
}

.TyphonCustom caption {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  color: #6c757d;
  text-align: left;
  caption-side: bottom;
}

.TyphonCustom th {
  text-align: inherit;
}

.TyphonCustom label {
  display: inline-block;
  margin-bottom: 0.5rem;
}

.TyphonCustom button {
  border-radius: 0;
}

.TyphonCustom button:focus {
  outline: 1px dotted;
  outline: 5px auto -webkit-focus-ring-color;
}


.TyphonCustom legend {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: 0;
  margin-bottom: .5rem;
  font-size: 1.5rem;
  line-height: inherit;
  color: inherit;
  white-space: normal;
}

.TyphonCustom progress {
  vertical-align: baseline;
}

.TyphonCustom [type="number"]::-webkit-inner-spin-button,
.TyphonCustom [type="number"]::-webkit-outer-spin-button {
  height: auto;
}

.TyphonCustom [type="search"] {
  outline-offset: -2px;
  -webkit-appearance: none;
}

.TyphonCustom [type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}


.TyphonCustom output {
  display: inline-block;
}

.TyphonCustom summary {
  display: list-item;
  cursor: pointer;
}

.TyphonCustom template {
  display: none;
}

.TyphonCustom [hidden] {
  display: none !important;
}

.TyphonCustom h1, .TyphonCustom h2, .TyphonCustom h3, .TyphonCustom h4, .TyphonCustom h5, .TyphonCustom h6,
.TyphonCustom .h1, .TyphonCustom .h2, .TyphonCustom .h3, .TyphonCustom .h4,.TyphonCustom .h5,.TyphonCustom .h6 {
  margin-bottom: 0.5rem;
  font-weight: 500;
  line-height: 1.2;
}

.TyphonCustom h1,.TyphonCustom .h1 {
  font-size: 2.5rem;
}

.TyphonCustom h2,.TyphonCustom .h2 {
  font-size: 2rem;
}

.TyphonCustom h3,.TyphonCustom .h3 {
  font-size: 1.75rem;
}

.TyphonCustom h4,.TyphonCustom .h4 {
  font-size: 1.5rem;
}

.TyphonCustom h5,.TyphonCustom .h5 {
  font-size: 1.25rem;
}

.TyphonCustom h6,.TyphonCustom .h6 {
  font-size: 1rem;
}

.TyphonCustom .lead {
  font-size: 1.25rem;
  font-weight: 300;
}

.TyphonCustom .display-1 {
  font-size: 6rem;
  font-weight: 300;
  line-height: 1.2;
}

.TyphonCustom .display-2 {
  font-size: 5.5rem;
  font-weight: 300;
  line-height: 1.2;
}

.TyphonCustom .display-3 {
  font-size: 4.5rem;
  font-weight: 300;
  line-height: 1.2;
}

.TyphonCustom .display-4 {
  font-size: 3.5rem;
  font-weight: 300;
  line-height: 1.2;
}

.TyphonCustom hr {
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.TyphonCustom small,
.TyphonCustom .small {
  font-size: 80%;
  font-weight: 400;
}

.TyphonCustom mark,
.TyphonCustom .mark {
  padding: 0.2em;
  background-color: #fcf8e3;
}

.TyphonCustom .list-unstyled {
  padding-left: 0;
  list-style: none;
}

.TyphonCustom .list-inline {
  padding-left: 0;
  list-style: none;
}

.TyphonCustom .list-inline-item {
  display: inline-block;
}

.TyphonCustom .list-inline-item:not(:last-child) {
  margin-right: 0.5rem;
}

.TyphonCustom .initialism {
  font-size: 90%;
  text-transform: uppercase;
}

.TyphonCustom .blockquote {
  margin-bottom: 1rem;
  font-size: 1.25rem;
}

.TyphonCustom .blockquote-footer {
  display: block;
  font-size: 80%;
  color: #6c757d;
}

.TyphonCustom .blockquote-footer::before {
  content: "\2014\00A0";
}

.TyphonCustom .img-fluid {
  max-width: 100%;
  height: auto;
}

.TyphonCustom .img-thumbnail {
  padding: 0.25rem;
  background-color: #fff;
  border: 1px solid #dee2e6;
  border-radius: 0.25rem;
  max-width: 100%;
  height: auto;
}

.TyphonCustom .figure {
  display: inline-block;
}

.TyphonCustom .figure-img {
  margin-bottom: 0.5rem;
  line-height: 1;
}

.TyphonCustom .figure-caption {
  font-size: 90%;
  color: #6c757d;
}

.TyphonCustom code {
  font-size: 87.5%;
  color: #e83e8c;
  word-break: break-word;
}

.TyphonCustom a > code {
  color: inherit;
}

.TyphonCustom kbd {
  padding: 0.2rem 0.4rem;
  font-size: 87.5%;
  color: #fff;
  background-color: #212529;
  border-radius: 0.2rem;
}

.TyphonCustom kbd kbd {
  padding: 0;
  font-size: 100%;
  font-weight: 700;
}

.TyphonCustom pre {
  display: block;
  font-size: 87.5%;
  color: #212529;
}

.TyphonCustom pre code {
  font-size: inherit;
  color: inherit;
  word-break: normal;
}

.TyphonCustom .pre-scrollable {
  max-height: 340px;
  overflow-y: scroll;
}

.TyphonCustom .container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}



.TyphonCustom .container-fluid {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

.TyphonCustom .row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
}

.TyphonCustom .no-gutters {
  margin-right: 0;
  margin-left: 0;
}

.TyphonCustom .no-gutters > .col,
.TyphonCustom .no-gutters > [class*="col-"] {
  padding-right: 0;
  padding-left: 0;
}

.TyphonCustom .col-1, .TyphonCustom .col-2, .TyphonCustom .col-3, .TyphonCustom .col-4, .TyphonCustom .col-5,.TyphonCustom .col-6,.TyphonCustom .col-7,.TyphonCustom .col-8,.TyphonCustom .col-9,.TyphonCustom .col-10,.TyphonCustom .col-11,.TyphonCustom .col-12,.TyphonCustom .col,
.TyphonCustom .col-auto,.TyphonCustom .col-sm-1,.TyphonCustom .col-sm-2,.TyphonCustom .col-sm-3,.TyphonCustom .col-sm-4,.TyphonCustom .col-sm-5,.TyphonCustom .col-sm-6, .TyphonCustom .col-sm-7,.TyphonCustom .col-sm-8,.TyphonCustom .col-sm-9,.TyphonCustom .col-sm-10,.TyphonCustom .col-sm-11,.TyphonCustom .col-sm-12,.TyphonCustom .col-sm,.TyphonCustom
.TyphonCustom .col-sm-auto,.TyphonCustom .col-md-1,.TyphonCustom .col-md-2,.TyphonCustom .col-md-3,.TyphonCustom .col-md-4,.TyphonCustom .col-md-5,.TyphonCustom .col-md-6,.TyphonCustom .col-md-7,.TyphonCustom .col-md-8,.TyphonCustom .col-md-9,.TyphonCustom .col-md-10,.TyphonCustom .col-md-11,.TyphonCustom .col-md-12,.TyphonCustom .col-md,
.TyphonCustom .col-md-auto,.TyphonCustom .col-lg-1,.TyphonCustom .col-lg-2,.TyphonCustom .col-lg-3,.TyphonCustom .col-lg-4,.TyphonCustom .col-lg-5,.TyphonCustom .col-lg-6,.TyphonCustom .col-lg-7,.TyphonCustom .col-lg-8,.TyphonCustom .col-lg-9,.TyphonCustom .col-lg-10,.TyphonCustom .col-lg-11,.TyphonCustom .col-lg-12,.TyphonCustom .col-lg,
.TyphonCustom .col-lg-auto,.TyphonCustom .col-xl-1,.TyphonCustom .col-xl-2,.TyphonCustom .col-xl-3,.TyphonCustom .col-xl-4,.TyphonCustom .col-xl-5,.TyphonCustom .col-xl-6,.TyphonCustom .col-xl-7,.TyphonCustom .col-xl-8,.TyphonCustom .col-xl-9,.TyphonCustom .col-xl-10,.TyphonCustom .col-xl-11,.TyphonCustom .col-xl-12,.TyphonCustom .col-xl,
.TyphonCustom .col-xl-auto {
  position: relative;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
}

.TyphonCustom .col {
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  -ms-flex-positive: 1;
  flex-grow: 1;
  max-width: 100%;
}

.TyphonCustom .col-auto {
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  width: auto;
  max-width: 100%;
}

.TyphonCustom .col-1 {
  -ms-flex: 0 0 8.333333%;
  flex: 0 0 8.333333%;
  max-width: 8.333333%;
}

.TyphonCustom .col-2 {
  -ms-flex: 0 0 16.666667%;
  flex: 0 0 16.666667%;
  max-width: 16.666667%;
}

.TyphonCustom .col-3 {
  -ms-flex: 0 0 25%;
  flex: 0 0 25%;
  max-width: 25%;
}

.TyphonCustom .col-4 {
  -ms-flex: 0 0 33.333333%;
  flex: 0 0 33.333333%;
  max-width: 33.333333%;
}

.TyphonCustom .col-5 {
  -ms-flex: 0 0 41.666667%;
  flex: 0 0 41.666667%;
  max-width: 41.666667%;
}

.TyphonCustom .col-6 {
  -ms-flex: 0 0 50%;
  flex: 0 0 50%;
  max-width: 50%;
}

.TyphonCustom .col-7 {
  -ms-flex: 0 0 58.333333%;
  flex: 0 0 58.333333%;
  max-width: 58.333333%;
}

.TyphonCustom .col-8 {
  -ms-flex: 0 0 66.666667%;
  flex: 0 0 66.666667%;
  max-width: 66.666667%;
}

.TyphonCustom .col-9 {
  -ms-flex: 0 0 75%;
  flex: 0 0 75%;
  max-width: 75%;
}

.TyphonCustom .col-10 {
  -ms-flex: 0 0 83.333333%;
  flex: 0 0 83.333333%;
  max-width: 83.333333%;
}

.TyphonCustom .col-11 {
  -ms-flex: 0 0 91.666667%;
  flex: 0 0 91.666667%;
  max-width: 91.666667%;
}

.TyphonCustom .col-12 {
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  max-width: 100%;
}

.TyphonCustom .order-first {
  -ms-flex-order: -1;
  order: -1;
}

.TyphonCustom .order-last {
  -ms-flex-order: 13;
  order: 13;
}

.TyphonCustom .order-0 {
  -ms-flex-order: 0;
  order: 0;
}

.TyphonCustom .order-1 {
  -ms-flex-order: 1;
  order: 1;
}

.TyphonCustom .order-2 {
  -ms-flex-order: 2;
  order: 2;
}

.TyphonCustom .order-3 {
  -ms-flex-order: 3;
  order: 3;
}

.TyphonCustom .order-4 {
  -ms-flex-order: 4;
  order: 4;
}

.TyphonCustom .order-5 {
  -ms-flex-order: 5;
  order: 5;
}

.TyphonCustom .order-6 {
  -ms-flex-order: 6;
  order: 6;
}

.TyphonCustom .order-7 {
  -ms-flex-order: 7;
  order: 7;
}

.TyphonCustom .order-8 {
  -ms-flex-order: 8;
  order: 8;
}

.TyphonCustom .order-9 {
  -ms-flex-order: 9;
  order: 9;
}

.TyphonCustom .order-10 {
  -ms-flex-order: 10;
  order: 10;
}

.TyphonCustom .order-11 {
  -ms-flex-order: 11;
  order: 11;
}

.TyphonCustom .order-12 {
  -ms-flex-order: 12;
  order: 12;
}

.TyphonCustom .offset-1 {
  margin-left: 8.333333%;
}

.TyphonCustom .offset-2 {
  margin-left: 16.666667%;
}

.TyphonCustom .offset-3 {
  margin-left: 25%;
}

.TyphonCustom .offset-4 {
  margin-left: 33.333333%;
}

.TyphonCustom .offset-5 {
  margin-left: 41.666667%;
}

.TyphonCustom .offset-6 {
  margin-left: 50%;
}

.TyphonCustom .offset-7 {
  margin-left: 58.333333%;
}

.TyphonCustom .offset-8 {
  margin-left: 66.666667%;
}

.TyphonCustom .offset-9 {
  margin-left: 75%;
}

.TyphonCustom .offset-10 {
  margin-left: 83.333333%;
}

.offset-11 {
  margin-left: 91.666667%;
}

@media (min-width: 576px) {
  .TyphonCustom .col-sm {
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
  }
  .TyphonCustom .col-sm-auto {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
    max-width: 100%;
  }
  .TyphonCustom .col-sm-1 {
    -ms-flex: 0 0 8.333333%;
    flex: 0 0 8.333333%;
    max-width: 8.333333%;
  }
  .TyphonCustom .col-sm-2 {
    -ms-flex: 0 0 16.666667%;
    flex: 0 0 16.666667%;
    max-width: 16.666667%;
  }
  .TyphonCustom .col-sm-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
  }
  .TyphonCustom .col-sm-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
  }
  .TyphonCustom .col-sm-5 {
    -ms-flex: 0 0 41.666667%;
    flex: 0 0 41.666667%;
    max-width: 41.666667%;
  }
  .TyphonCustom .col-sm-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
  }
  .TyphonCustom .col-sm-7 {
    -ms-flex: 0 0 58.333333%;
    flex: 0 0 58.333333%;
    max-width: 58.333333%;
  }
  .TyphonCustom .col-sm-8 {
    -ms-flex: 0 0 66.666667%;
    flex: 0 0 66.666667%;
    max-width: 66.666667%;
  }
  .TyphonCustom .col-sm-9 {
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%;
  }
  .TyphonCustom .col-sm-10 {
    -ms-flex: 0 0 83.333333%;
    flex: 0 0 83.333333%;
    max-width: 83.333333%;
  }
  .TyphonCustom .col-sm-11 {
    -ms-flex: 0 0 91.666667%;
    flex: 0 0 91.666667%;
    max-width: 91.666667%;
  }
  .TyphonCustom .col-sm-12 {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
  }
  .TyphonCustom .order-sm-first {
    -ms-flex-order: -1;
    order: -1;
  }
  .TyphonCustom .order-sm-last {
    -ms-flex-order: 13;
    order: 13;
  }
  .TyphonCustom .order-sm-0 {
    -ms-flex-order: 0;
    order: 0;
  }
  .TyphonCustom .order-sm-1 {
    -ms-flex-order: 1;
    order: 1;
  }
  .TyphonCustom .order-sm-2 {
    -ms-flex-order: 2;
    order: 2;
  }
  .TyphonCustom .order-sm-3 {
    -ms-flex-order: 3;
    order: 3;
  }
  .TyphonCustom .order-sm-4 {
    -ms-flex-order: 4;
    order: 4;
  }
  .TyphonCustom .order-sm-5 {
    -ms-flex-order: 5;
    order: 5;
  }
  .TyphonCustom .order-sm-6 {
    -ms-flex-order: 6;
    order: 6;
  }
  .TyphonCustom .order-sm-7 {
    -ms-flex-order: 7;
    order: 7;
  }
  .TyphonCustom .order-sm-8 {
    -ms-flex-order: 8;
    order: 8;
  }
  .TyphonCustom .order-sm-9 {
    -ms-flex-order: 9;
    order: 9;
  }
  .TyphonCustom .order-sm-10 {
    -ms-flex-order: 10;
    order: 10;
  }
  .TyphonCustom .order-sm-11 {
    -ms-flex-order: 11;
    order: 11;
  }
  .TyphonCustom .order-sm-12 {
    -ms-flex-order: 12;
    order: 12;
  }
  .TyphonCustom .order-sm-0 {
    margin-left: 0;
  }
  .TyphonCustom .order-sm-1 {
    margin-left: 8.333333%;
  }
  .TyphonCustom .order-sm-2 {
    margin-left: 16.666667%;
  }
  .TyphonCustom .order-sm-3 {
    margin-left: 25%;
  }
  .TyphonCustom .order-sm-4 {
    margin-left: 33.333333%;
  }
  .TyphonCustom .order-sm-5 {
    margin-left: 41.666667%;
  }
  .TyphonCustom .order-sm-6 {
    margin-left: 50%;
  }
  .TyphonCustom .order-sm-7 {
    margin-left: 58.333333%;
  }
  .TyphonCustom .order-sm-8 {
    margin-left: 66.666667%;
  }
  .TyphonCustom .order-sm-9 {
    margin-left: 75%;
  }
  .TyphonCustom .order-sm-10 {
    margin-left: 83.333333%;
  }
  .TyphonCustom .order-sm-11 {
    margin-left: 91.666667%;
  }
}



.TyphonCustom .table {
  width: 100%;
  margin-bottom: 1rem;
  color: #212529;
}

.TyphonCustom .table th,
.TyphonCustom .table td {
  padding: 0.75rem;
  vertical-align: top;
  border-top: 1px solid #dee2e6;
}

.TyphonCustom .table thead th {
  vertical-align: bottom;
  border-bottom: 2px solid #dee2e6;
}

.TyphonCustom .table tbody + tbody {
  border-top: 2px solid #dee2e6;
}

.TyphonCustom .table-sm th,
.TyphonCustom .table-sm td {
  padding: 0.3rem;
}

.TyphonCustom .table-bordered {
  border: 1px solid #dee2e6;
}

.TyphonCustom .table-bordered th,
.TyphonCustom .table-bordered td {
  border: 1px solid #dee2e6;
}

.TyphonCustom .table-bordered thead th,
.TyphonCustom .table-bordered thead td {
  border-bottom-width: 2px;
}

.TyphonCustom .table-borderless th,
.TyphonCustom .table-borderless td,
.TyphonCustom .table-borderless thead th,
.TyphonCustom .table-borderless tbody + tbody {
  border: 0;
}

.TyphonCustom .table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, 0.05);
}

.TyphonCustom .table-hover tbody tr:hover {
  color: #212529;
  background-color: rgba(0, 0, 0, 0.075);
}

.TyphonCustom .table-primary,
.TyphonCustom .table-primary > th,
.TyphonCustom .table-primary > td {
  background-color: #b8daff;
}

.TyphonCustom .table-primary th,
.TyphonCustom .table-primary td,
.TyphonCustom .table-primary thead th,
.TyphonCustom .table-primary tbody + tbody {
  border-color: #7abaff;
}

.TyphonCustom .table-hover .TyphonCustom .table-primary:hover {
  background-color: #9fcdff;
}

.TyphonCustom .table-hover .TyphonCustom .table-primary:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-primary:hover > th {
  background-color: #9fcdff;
}

.TyphonCustom .table-secondary,
.TyphonCustom .table-secondary > th,
.TyphonCustom .table-secondary > td {
  background-color: #d6d8db;
}

.TyphonCustom .table-secondary th,
.TyphonCustom .table-secondary td,
.TyphonCustom .table-secondary thead th,
.TyphonCustom .table-secondary tbody + tbody {
  border-color: #b3b7bb;
}

.TyphonCustom .table-hover .TyphonCustom .table-secondary:hover {
  background-color: #c8cbcf;
}

.TyphonCustom .table-hover .TyphonCustom .table-secondary:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-secondary:hover > th {
  background-color: #c8cbcf;
}

.TyphonCustom .table-success,
.TyphonCustom .table-success > th,
.TyphonCustom .table-success > td {
  background-color: #c3e6cb;
}

.TyphonCustom .table-success th,
.TyphonCustom .table-success td,
.TyphonCustom .table-success thead th,
.TyphonCustom .table-success tbody + tbody {
  border-color: #8fd19e;
}

.TyphonCustom .table-hover .TyphonCustom .table-success:hover {
  background-color: #b1dfbb;
}

.TyphonCustom .table-hover .TyphonCustom .table-success:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-success:hover > th {
  background-color: #b1dfbb;
}

.TyphonCustom .table-info,
.TyphonCustom .table-info > th,
.TyphonCustom .table-info > td {
  background-color: #bee5eb;
}

.TyphonCustom .table-info th,
.TyphonCustom .table-info td,
.TyphonCustom .table-info thead th,
.TyphonCustom .table-info tbody + tbody {
  border-color: #86cfda;
}

.TyphonCustom .table-hover .TyphonCustom .table-info:hover {
  background-color: #abdde5;
}

.TyphonCustom .table-hover .TyphonCustom .table-info:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-info:hover > th {
  background-color: #abdde5;
}

.TyphonCustom .table-warning,
.TyphonCustom .table-warning > th,
.TyphonCustom .table-warning > td {
  background-color: #ffeeba;
}

.TyphonCustom .table-warning th,
.TyphonCustom .table-warning td,
.TyphonCustom .table-warning thead th,
.TyphonCustom .table-warning tbody + tbody {
  border-color: #ffdf7e;
}

.TyphonCustom .table-hover .TyphonCustom .table-warning:hover {
  background-color: #ffe8a1;
}

.TyphonCustom .table-hover .TyphonCustom .table-warning:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-warning:hover > th {
  background-color: #ffe8a1;
}

.TyphonCustom .table-danger,
.TyphonCustom .table-danger > th,
.TyphonCustom .table-danger > td {
  background-color: #f5c6cb;
}

.TyphonCustom .table-danger th,
.TyphonCustom .table-danger td,
.TyphonCustom .table-danger thead th,
.TyphonCustom .table-danger tbody + tbody {
  border-color: #ed969e;
}

.TyphonCustom .table-hover .TyphonCustom .table-danger:hover {
  background-color: #f1b0b7;
}

.TyphonCustom .table-hover .TyphonCustom .table-danger:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-danger:hover > th {
  background-color: #f1b0b7;
}

.TyphonCustom .table-light,
.TyphonCustom .table-light > th,
.TyphonCustom .table-light > td {
  background-color: #fdfdfe;
}

.TyphonCustom .table-light th,
.TyphonCustom .table-light td,
.TyphonCustom .table-light thead th,
.TyphonCustom .table-light tbody + tbody {
  border-color: #fbfcfc;
}

.TyphonCustom .table-hover .TyphonCustom .table-light:hover {
  background-color: #ececf6;
}

.TyphonCustom .table-hover .TyphonCustom .table-light:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-light:hover > th {
  background-color: #ececf6;
}

.TyphonCustom .table-dark,
.TyphonCustom .table-dark > th,
.TyphonCustom .table-dark > td {
  background-color: #c6c8ca;
}

.TyphonCustom .table-dark th,
.TyphonCustom .table-dark td,
.TyphonCustom .table-dark thead th,
.TyphonCustom .table-dark tbody + tbody {
  border-color: #95999c;
}

.TyphonCustom .table-hover .TyphonCustom .table-dark:hover {
  background-color: #b9bbbe;
}

.TyphonCustom .table-hover .TyphonCustom .table-dark:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-dark:hover > th {
  background-color: #b9bbbe;
}

.TyphonCustom .table-active,
.TyphonCustom .table-active > th,
.TyphonCustom .table-active > td {
  background-color: rgba(0, 0, 0, 0.075);
}

.TyphonCustom .table-hover .TyphonCustom .table-active:hover {
  background-color: rgba(0, 0, 0, 0.075);
}

.TyphonCustom .table-hover .TyphonCustom .table-active:hover > td,
.TyphonCustom .table-hover .TyphonCustom .table-active:hover > th {
  background-color: rgba(0, 0, 0, 0.075);
}

.TyphonCustom .table .thead-dark th {
  color: #fff;
  background-color: #343a40;
  border-color: #454d55;
}

.TyphonCustom .table .thead-light th {
  color: #495057;
  background-color: #e9ecef;
  border-color: #dee2e6;
}

.TyphonCustom .table-dark {
  color: #fff;
  background-color: #343a40;
}

.TyphonCustom .table-dark th,
.TyphonCustom .table-dark td,
.TyphonCustom .table-dark thead th {
  border-color: #454d55;
}

.TyphonCustom .table-dark.TyphonCustom .table-bordered {
  border: 0;
}

.TyphonCustom .table-dark.TyphonCustom .table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(255, 255, 255, 0.05);
}

.TyphonCustom .table-dark.TyphonCustom .table-hover tbody tr:hover {
  color: #fff;
  background-color: rgba(255, 255, 255, 0.075);
}

@media (max-width: 575.98px) {
  .TyphonCustom .table-responsive-sm {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .TyphonCustom .table-responsive-sm > .TyphonCustom .table-bordered {
    border: 0;
  }
}

@media (max-width: 767.98px) {
  .TyphonCustom .table-responsive-md {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .TyphonCustom .table-responsive-md > .TyphonCustom .table-bordered {
    border: 0;
  }
}

@media (max-width: 991.98px) {
  .TyphonCustom .table-responsive-lg {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .TyphonCustom .table-responsive-lg > .TyphonCustom .table-bordered {
    border: 0;
  }
}

@media (max-width: 1199.98px) {
  .TyphonCustom .table-responsive-xl {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .TyphonCustom .table-responsive-xl > .TyphonCustom .table-bordered {
    border: 0;
  }
}

.TyphonCustom .table-responsive {
  display: block;
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
}

.TyphonCustom .table-responsive > .TyphonCustom .table-bordered {
  border: 0;
}

.TyphonCustom .form-control {
  display: block;
  width: 100%;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

